Subject: Re: [IPFIX] [Technical Errata Reported] RFC5102 (4984)

From: PJ Aitken <[email-masked]>
Date: Wed, 5 Apr 2017 19:16:33 +0100

I should point out that although RFC 5102 has been obsoleted by RFC 
7012, 7012 doesn't actually contain any Information Element definitions; 
it simply points to IANA's IPFIX registry as the normative reference for 
Element definitions.

So the issue doesn't arise in 7012, and I suspect it's not possible to 
raise an errata against the registry.

P.

On 30/03/17 13:45, RFC Errata System wrote:
> The following errata report has been submitted for RFC5102,
> "Information Model for IP Flow Information Export".
>
> --------------------------------------
> You may review the report below and at:
> https://www.rfc-editor.org/errata_search.php?rfc=5102&eid=4984
>
> --------------------------------------
> Type: Technical
> Reported by: Paul Aitken <[email-masked]>
>
> Section: 5.2.10, appA
>
> Original Text
> -------------
> Each bit represents an Information Element in the Data Record
> with the n-th bit
> representing the n-th Information Element.
>
> Corrected Text
> --------------
> Each bit represents an Information Element in the Data Record,
> with the n-th least significant bit
> representing the n-th Information Element.
>
> Notes
> -----
> A misunderstand arose as to whether bits were assigned in host order or network order - so clarify that the bits are assigned from the least significant to the most significant, ie right-to-left rather than left-to-right.
>
> Moreover, this clarification applies to IANA's IPFIX registry.
>
> NB RFC 8038 re-uses this definition for mibIndexIndicator. Consistency between the definitions is desirable.
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC5102 (draft-ietf-ipfix-info-15)
> --------------------------------------
> Title               : Information Model for IP Flow Information Export
> Publication Date    : January 2008
> Author(s)           : J. Quittek, S. Bryant, B. Claise, P. Aitken, J. Meyer
> Category            : PROPOSED STANDARD
> Source              : IP Flow Information Export
> Area                : Operations and Management
> Stream              : IETF
> Verifying Party     : IESG
>
> _______________________________________________
> IPFIX mailing list
> [email-masked]

---

From: RFC Editor <[email-masked]>
Date: Wed, 5 Apr 2017 12:46:46 -0700

Greetings,

Note that we have added IANA to this thread so they are aware of the
discussion taking place.

Thanks,
RFC Editor/sg

On Wed, Apr 05, 2017 at 07:16:33PM +0100, PJ Aitken wrote:
> I should point out that although RFC 5102 has been obsoleted by RFC 7012,
> 7012 doesn't actually contain any Information Element definitions; it simply
> points to IANA's IPFIX registry as the normative reference for Element
> definitions.
> 
> So the issue doesn't arise in 7012, and I suspect it's not possible to raise
> an errata against the registry.
> 
> P.
> 
>

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 6 Apr 2017 10:29:13 +0100

Paul

If necessary you could write a one page RFC asking IANA to add a note to 
the registry.

Stewart

On 05/04/2017 19:16, PJ Aitken wrote:
> 7012, 7012 doesn't actually contain any Information Element 
> definitions; it simply points to IANA's IPFIX registry as the 
> normative reference for Element definitions.
>
>> A misunderstand arose as to whether bits were assigned in host order 
>> or network order - so clarify that the bits are assigned from the 
>> least significant to the most significant, ie right-to-left rather 
>> than left-to-right.
>>
>> NB RFC 8038 re-uses this definition for mibIndexIndicator. 
>> Consistency between the definitions is desirable.
>>
>> Instructions:
>> -------------
> https://www.ietf.org/mailman/listinfo/ipfix

---

From: PJ Aitken <[email-masked]>
Date: Thu, 6 Apr 2017 10:37:18 +0100

That would be possible, though it seems like a lot of effort for the 
addition of two clarifying words, "least significant" ?

P.

On 06/04/17 10:29, Stewart Bryant wrote:
> Paul
>
> If necessary you could write a one page RFC asking IANA to add a note 
> to the registry.
>
> Stewart
>
>
>> So the issue doesn't arise in 7012, and I suspect it's not possible 
>> to raise an errata against the registry.
>>
>> P.
>>
>>
>>> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.rfc-2Deditor.org_errata-5Fsearch.php-3Frfc-3D5102-26eid-3D4984&d=DwIC-g&c=IL_XqQWOjubgfqINi2jTzg&r=l3qN-NVkUTPhhRxKVpFXRDjrG3WNcj_6aGqXB9E7JYU&m=lbHlVRM8W9dbZUz-UVd1z1hzVa3rIiNL-6zIIFo8oMo&s=qFdcGTGJe09BgcdUjB6EszW7hMzekalZnfj8wx5JlNw&e= 
>>>
>> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_ipfix&d=DwIC-g&c=IL_XqQWOjubgfqINi2jTzg&r=l3qN-NVkUTPhhRxKVpFXRDjrG3WNcj_6aGqXB9E7JYU&m=lbHlVRM8W9dbZUz-UVd1z1hzVa3rIiNL-6zIIFo8oMo&s=2CAUPZ9aGFiHyUVUtn2cZFp3fcwj4DUALHp38x4XnC8&e= 
>
>

---

From: Andrew Feren <[email-masked]>
Date: Thu, 6 Apr 2017 13:23:19 +0000

What about an errata on 5102 with a note that that the definitions have moved to the registry?  Seems like an odd end run, but if it solves the problem...

-Andrew

________________________________________
From: IPFIX [[email-masked]] on behalf of PJ Aitken [[email-masked]]
Sent: Thursday, April 06, 2017 5:37 AM
To: Stewart Bryant; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [IPFIX] [Technical Errata Reported] RFC5102 (4984)

P.

On 06/04/17 10:29, Stewart Bryant wrote:
>>> https://linkprotect.cudasvc.com/url?a=https://urldefense.proofpoint.com/v2/url%3fu%3dhttps-3A__www.rfc-2Deditor.org_errata-5Fsearch.php-3Frfc-3D5102-26eid-3D4984%26d%3dDwIC-g%26c%3dIL_XqQWOjubgfqINi2jTzg%26r%3dl3qN-NVkUTPhhRxKVpFXRDjrG3WNcj_6aGqXB9E7JYU%26m%3dlbHlVRM8W9dbZUz-UVd1z1hzVa3rIiNL-6zIIFo8oMo%26s%3dqFdcGTGJe09BgcdUjB6EszW7hMzekalZnfj8wx5JlNw%26e%3d&c=E,1,POSFjbIcmfzya-gNUP5rX4D4UfQQg4AwYC59vms0nF1wQWLNUVnaAiF5ob6Uae9OGK7KJmApL2_YmgpwUhW4gYwEcADORoaJSQoTSL3CL1vf&typo=1
>>>
>> https://linkprotect.cudasvc.com/url?a=https://urldefense.proofpoint.com/v2/url%3fu%3dhttps-3A__www.ietf.org_mailman_listinfo_ipfix%26d%3dDwIC-g%26c%3dIL_XqQWOjubgfqINi2jTzg%26r%3dl3qN-NVkUTPhhRxKVpFXRDjrG3WNcj_6aGqXB9E7JYU%26m%3dlbHlVRM8W9dbZUz-UVd1z1hzVa3rIiNL-6zIIFo8oMo%26s%3d2CAUPZ9aGFiHyUVUtn2cZFp3fcwj4DUALHp38x4XnC8%26e%3d&c=E,1,pcYrfKgiAK5NJHIqb30BLQrXBHi8Lo8-mgP6pHj3ho1uiEqr0t_tIoUPPm2W5esu67hb-exkoIxDnLvptn6Fk1XN_eXkMZbhZslQnOteFYgZtZG7_ZC0ruA,&typo=1
>
>

_______________________________________________
IPFIX mailing list
[email-masked]
https://linkprotect.cudasvc.com/url?a=https://www.ietf.org/mailman/listinfo/ipfix&c=E,1,usIqknq8V3E9Vc_Br3gQ45teOaNlF3LfzLHNrQfB4rcp1FD80k14Pk3JVl_c5gVkoOA2yrwp8SRtE_kUr0YLtIlWtEs33OppFfZ7Xp_6PNt-XItuFw,,&typo=1

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 6 Apr 2017 14:45:04 +0100

It depends on what IANA think, but it's only about an hour to write and 
the reviews will all go though on the nod.

Of course as an AD Benoit may just be able to direct that that this 
obvious correction happens.

Stewart

---

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Tue, 18 Apr 2017 17:01:56 +0200

Hi, all,

You can't raise an erratum against the registry, but 7013 provides for interoperable revisions to Information Elements to correct errors (section 5.2 criterion 2 holds).

Cheers,

Brian

> On 06 Apr 2017, at 15:45, Stewart Bryant <[email-masked]> wrote:
> 
> It depends on what IANA think, but it's only about an hour to write and the reviews will all go though on the nod.
> 
> Of course as an AD Benoit may just be able to direct that that this obvious correction happens.
> 
> Stewart
> 
>

---

From: Andrew Feren <[email-masked]>
Date: Wed, 19 Apr 2017 14:55:27 +0000

So we've established that the change can be be made with or with out the errata.  

I'm in favor of making the clarifying change to the registry as proposed in the errata.

I don't have a strong opinion on the approval or not of the errata on 5102, but it it probably doesn't hurt to approve it if only as documentation of what was changed and why.

-Andrew

________________________________________
From: Brian Trammell (IETF) [[email-masked]]
Sent: Tuesday, April 18, 2017 11:01 AM
To: Stewart Bryant
Cc: Andrew Feren; PJ Aitken; [email-masked]; [email-masked]; Benoit Claise; [email-masked]; [email-masked]; [email-masked]; Nevil Brownlee; [email-masked]; [email-masked]
Subject: Re: [IPFIX] [Technical Errata Reported] RFC5102 (4984)

Hi, all,

Cheers,

Brian

> https://linkprotect.cudasvc.com/url?a=https://www.ietf.org/mailman/listinfo/ipfix&c=E,1,IYiyIN8296ZqBksTqvPeG0yzfRibAepQVoWtFsOwyWr9lG1Dbwrx1zu9eNVR7xKSQTQDqLnNQ7pTuXebyClfH884sMP3JzeBw-pbvsSnSedE0uaUlu0H&typo=1

---

From: Benoit Claise <[email-masked]>
Date: Wed, 19 Apr 2017 17:51:33 +0200

Dear all,

As Brian mentioned, RFC 7013 section 5.2 applies here:

    2.  it corrects an ambiguity in the Information Element's definition,
        which itself leads to non-interoperability severe enough to
        prevent the Information Element's usage as originally defined
        (e.g., a prior change to ipv6ExtensionHeaders); or

Paul, as errata 4984 owner, can you please drop a note to IANA with the 
new definition.
Let's not forgot to bump the revision number by one, as mentioned in 
RFC7013 section 5.2.

Once done, even if it's not necessary, I'll accept the errata 4984.
There is no harm and it would be easier for a RFC 5102 reader, assuming 
someone would read this obsolete RFC (instead of the RFC 7102 that 
points to IANA)

Regards, Benoit

> .